サイトアドレスとワードプレスアドレスが異なると、Gutenbergエディターで更新に失敗する

使い慣れるとなかなか便利なGutenbergのブロックエディター。しかし度々「更新に失敗しました」というエラーが出て、更新できなくなる事態に遭遇しました。解決策として有名なものは、クラシックエディター用のプラグインを導入して、クラシックエディターで更新する、というものなのですが、根本的解決策とはいえません。そこで少し調べてみたところ、サイトアドレスとワードプレスが異なる状態でインストールすると、この現象が起こることがわかりました。

この件に関する海外サイトの、ディスカッションです。

The problem is essentially about this: Gutenberg breaks completely if site URL is not the same as wordpress URL.

As it seems at the moment, developers don’t see this as a major problem.
Well it is a major problem as it affects all the people that have to have different site URL than wordpress URL. So we have to use Classic Editor until this “REST API” problem is resolved.

常にサイトアドレスとワードプレスアドレスを一致させておけばこのエラーは出ないようですが(他にWAF設定で同様のエラーが出る場合があります)、サーバの利用状況によっては別アドレスにしたい場合は多々あります。うーん。かなり根本的な問題なので、単純な解決策というのはなさそうです。この件は調査続行ですな。。。